#ifndef ARGPARSER_H
#define ARGPARSER_H

/*
 * Parse a string into multiple space separated arguments.
 * Strings surrounded by "" will be interpreted as one argument,
 * even if they contain spaces.
 * Nothing is allocated; instead, \0 characters are added where necessary.
 *
 * Input:
 *     buf: A char *buf[]. Arguments will be put here.
 *     max: The max number of arguments. Must be the length of buf or smaller.
 *     str: The string to parse. Will be modified.
 */
void argparser_parse(char *buf[], int max, char *str);

#endif
