#ifndef JOB_H
#define JOB_H

#include <stdio.h>

typedef struct job
{
	char type;
	unsigned char length;
	char text[256];
} job;

/*
 * Parse a job from a string.
 *
 * Input:
 *     str: The string to parse a job from.
 *     j: Where the resulting job object is written to.
 */
void job_parse(char *str, job *j);

/*
 * Stringify a job, compatible with job_read.
 *
 * Input:
 *     buf: The buffer to write to. Must be sizeof(job) long.
 *     j: The job to stringify.
 */
void job_stringify(char buf[], job *j);

/*
 * Read a job from file f.
 * Will only read one job, the file might contain more.
 * If j->type is 0, EOF was reached.
 *
 * Input:
 *     f: The file to read from.
 *     j: Where the resulting job object is written to.
 */
void job_read(FILE *f, job *j);

#endif
